[Jaunty Regression] Severe Audio Distortion

Bug #336965 reported by cros13 on 2009-03-02
78
This bug affects 5 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Undecided
Daniel T Chen

Bug Description

Binary package hint: pulseaudio

I'm getting constant distortion after my daily apt-get upgrade brought me up to to pulseaudio 0.9.14-0ubuntu10 today.

My soundcard is an Auzentech X-Fi Prelude and I'm using the "ctxfi" module.

I attempted to get some useful debug data by "killall pulseaudio", "pulseaudio -v" and then playing a file using totem.

Didn't see anything on the console outputted from pulseaudio during playback but I've attached the console log.

cros13 (cros13) wrote :
Daniel T Chen (crimsun) wrote :

Side effect of re-enabling glitch-free. Because the kernel team (seemingly) has decided that PREEMPT will not be enabled for -generic in Jaunty, glitch-free must be re-disabled. My /ubuntu branch already has this change, and you can test via my PPA.

Changed in pulseaudio:
assignee: nobody → crimsun
status: New → Fix Committed
cros13 (cros13) wrote :

Thanks Daniel,

That fixed the issue. Movie night can now go ahead untroubled by audio issues!

I'm running a vanilla kernel with PREEMPT though...should this have effected me?

Spider (spider-alternating) wrote :

I'm still affected by this (latest update) and the only way for me to not get dropouts is to remove pulseaudio from the equation.

Will there be an updated kernel package with working intel-hda drivers so we can expect Working Sound?

Jason Smith (jassmith) wrote :

I am confirming the issue still existing. It seems to be more pronounced when using my wireless connection

cros13 (cros13) wrote :

Hi Daniel,

Issue reintroduced with the latest revision from your ppa.

cros13 (cros13) wrote :

I changed:

load-module module-hal-detect
to
load-module module-hal-detect tsched=0

in /etc/pulse/default.pa

That fixed my audio.... my Core i7 can handle the extra CPU usage, I can't work without audio.

cros13 (cros13) wrote :

I think I still have a lot of low level distortion.
Better then what it was though.
Annoying...

Yannick Defais (sevmek) wrote :

Hello,

Same issue with the MSI Wind.

lsmod | grep snd
snd_hda_intel 435124 5

lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

Id2ndR (id2ndr) wrote :

cros13 fixes solves the troubles I had with Mumble which wasn't able to correctly capture my voice. Thanks :)

Michael Rooney (mrooney) wrote :

I believe I am also experiencing this on a Dell XPS M1330; rhythmbox audio is fine but the audio drops out for a split-second every 1-2 seconds in Totem/VLC. I enabled Daniel's PPA and installed pulseaudio from it, but after a restart the issue still remained. However since cros13 said the latest update caused the issue to come back, that makes sense. Changing default.pa as cros13 mentioned however DID work, thanks!

Daniel, here is the information from your script if it is of any use: http://www.alsa-project.org/db/?f=6d06ff759fc618deeac8e1c30bdae3e88a907d6b

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 0.9.14-0ubuntu11

---------------
pulseaudio (0.9.14-0ubuntu11) jaunty; urgency=low

  [ Daniel T Chen ]
  * Reenable 0030_set_tsched0.patch, which re-disables glitch-free;
    too many users are reporting regressions and audio aberrations.
  * Adjust 0003_change_resample_and_buffering.patch to use linear
    resampler to work better with lack of PREEMPT in jaunty's
    -generic kernel config (LP: #207135, #322250, #332761, #335955,
    LP: #336965).
  * Last upload, specifically 0091_workaround_alsa_horkage, fixes:
    LP: #235990, #237443, #279847, #317997, #323185, #330814,
    LP: #334874.
  * sudo -H change in ubuntu6 fixed LP: #312505.
  * Closing old bugs fixed in 0.9.11+: LP: #187963, #193520, #211052.
  * Refresh 0006_regen-autotools.patch.
  * Add 0043_load_sample_dir_lazy.patch to cache
    /usr/share/sounds/ubuntu/stereo/* in default.pa.
  * debian/:
    - control: Build against libcap2-dev (LP: #339448);
    - copyright: Update copyright from Debian's 0.9.14-2;
    - rules: Add DEB_OPT_FLAG = -O3 as per recommendation from
      pulseaudio-discuss/2007-December/001017.html.
  * Refresh fixes from git HEAD:
    - 0038_handle_errno_properly.patch,
    - 0091_workaround_alsa_horkage.patch,
    - 0092_fix_null_pointer_access.patch.

  [ Luke Yelavich ]
  * Add a special case to prevent Pulseaudio from being started when the
    blindness accessibility profile has been enabled from the Ubuntu live CD,
    and for an accessibility install. Unfortunately Pulseaudio and speech do
    not currently work very well with each other, and its too late in
    the cycle to solve this problem any other way.

 -- Luke Yelavich <email address hidden> Tue, 10 Mar 2009 09:00:40 +1100

Changed in pulseaudio:
status: Fix Committed → Fix Released
dberger (dberger) wrote :

I'm still seeing the symptoms described here - a fully up-to-date Jaunty install.

[11:02:08] dberger@rage : ~
511 $ dpkg-query -s pulseaudio
Package: pulseaudio
Status: install ok installed
Priority: optional
Section: sound
Installed-Size: 1780
Maintainer: Ubuntu Core Developers <email address hidden>
Architecture: i386
Version: 1:0.9.14-0ubuntu20

this system was upgraded from 8.10, with no hardware changes, and the symptom didn't occur under 8.10

On Fri, May 8, 2009 at 2:34 PM, dberger <email address hidden> wrote:
> I'm still seeing the symptoms described here - a fully up-to-date Jaunty
> install.
...
> Version: 1:0.9.14-0ubuntu20

Have you tried enabling jaunty-proposed and using linux + pulseaudio from it?

Is this related to Bug #774850? As soon as "speech-dispatcher" starts, my sound goes all echoed and distorted.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers